#include <stdio.h>

int main()
{
  int n, i=0, j=0;

  scanf("%i", &n);
  
  if(n<=0)
    printf("-1");
  
  else
  {
    for(i=0; i<=n; i++)
    {
     for(j=0; j<n-i; j++)
       printf(" ");
     for(j=0; j<(2*i)-1; j++)
     {
      if(j%2==0)
        printf("*");
      else 
        printf("A");
      }
    printf("\n");
    }

  }

  return 0;
}